Carvana: Search
Search from Carvana as JSON. 1 credit per successful call.
POST /v1/carvana/search
Parameters
Send parameters in the JSON body.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
pagination | object | Optional | Any |
filters | object | Required | Any |
sortBy | string | Optional | AcquisitionTime, CashDue, FreeShipping, HighestPrice, LowestMileage, LowestPrice, MonthlyPayment, MostPopular, NewestInventory, NewestYear |
zip5 | string | Optional | Up to 5 characters |
requestedFeatures | list of string | Optional | Any |
browserCookieId | string | Optional | Any |
searchSessionId | string | Optional | Any |
Example request
curl -X POST "https://api.perceptlayer.com/v1/carvana/search" \
-H "X-API-Key: $API_KEY" \
-H "Content-Type: application/json" \
-d '{"zip5":"30305","sortBy":"MostPopular"}'Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.